> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Disassociate a token from a voucher

> This endpoint allows you to disassociate a token from a voucher.

A Voucher belongs to a Voucher Group and is uniquely identified by a code.
It can be linked to multiple tokens (idtags) and appUsers.

When a driver starts a session at a location, the system checks:

If the driver’s token is linked to a voucher, or

If the driver’s appUser (linked to that token) is linked to a voucher.

If either is true and the voucher’s group is associated with the location, the voucher is applied — potentially affecting pricing or granting access.



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml delete /v2/vouchers/{id}/tokens/{tokenId}
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/vouchers/{id}/tokens/{tokenId}:
    delete:
      tags:
        - Vouchers
      summary: Disassociate a token from a voucher
      description: >-
        This endpoint allows you to disassociate a token from a voucher.


        A Voucher belongs to a Voucher Group and is uniquely identified by a
        code.

        It can be linked to multiple tokens (idtags) and appUsers.


        When a driver starts a session at a location, the system checks:


        If the driver’s token is linked to a voucher, or


        If the driver’s appUser (linked to that token) is linked to a voucher.


        If either is true and the voucher’s group is associated with the
        location, the voucher is applied — potentially affecting pricing or
        granting access.
      operationId: disassociateTokenFromVoucher
      parameters:
        - name: id
          required: true
          in: path
          description: Used to identify the voucher throughout the Spirii system
          schema:
            type: number
        - name: tokenId
          required: true
          in: path
          description: Used to identify the token throughout the Spirii system
          schema:
            type: number
      responses:
        '204':
          description: The token has been successfully disassociated from a voucher.
        '404':
          description: >-
            Voucher does not exist, or Token is not associated with this
            voucher.

````